<template>
<div id="header">
    <Navigation :logo_name="data_info_header.name_logo" :nav_link="data_info_header.nav_link"></Navigation>
    <Jumbotron :data="data_info_header.jumbotron"></Jumbotron>
</div>
</template>

<script>
import { APP_CONFIG } from '@/utils/constants';
import { get } from '@/utils/http';

import Jumbotron from './Jumbotron.vue'
import Navigation from './Navigation.vue'
export default {
  name: 'HeaderComponent',
  data () {
    return {
      config: {
        apiURLConnect: '/infomation_header'
      },
      data_info_header: {}
    }
  },
  methods: {
    async getDataInfoHeader() {
      return await get(`${APP_CONFIG.apiUrl + this.config.apiURLConnect}`)
      .then((response) => {
        this.data_info_header = response.data;
      })
      .catch(() => {
        console.error();
      })
    }
  },
  beforeMount() {
    this.getDataInfoHeader()
  },
  components: {
      Jumbotron,
      Navigation
  }
}
</script>

